import { jsx } from "react/jsx-runtime";
import { Mailbox as Mailbox$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Mailbox = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Mailbox", ...props, children: /* @__PURE__ */ jsx(Mailbox$1, { weight: variant }) });
  }
);
Mailbox.displayName = "Mailbox";
Object.assign(Mailbox, { isGdsIcon: true });
export {
  Mailbox
};
